## realmd 0.17.1

=== Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/realmd
pkgincludedir = $(includedir)/realmd
pkglibdir = $(libdir)/realmd
pkglibexecdir = $(libexecdir)/realmd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
TESTS = $(am__EXEEXT_2)
check_PROGRAMS = $(am__EXEEXT_2)
noinst_PROGRAMS = frob-install-packages$(EXEEXT) $(am__EXEEXT_1)
private_PROGRAMS =
sbin_PROGRAMS = realm$(EXEEXT)
libexec_PROGRAMS = realmd$(EXEEXT)
am__append_1 = \
	doc/manual/realm.8

am__append_2 = \
	doc/manual/realmd.conf.5


# ------------------------------------------------------------
# Docs
#
am__append_3 = doc/privatedir.xml.in \
	$(MANUAL_DOCBOOK) $(MANUAL_INCLUDES) \
	$(MAN_IN_FILES) $(MANUAL_XSLT) \
	doc/manual/static $(NULL) $(INTERNAL_DOCBOOK) \
	$(INTERNAL_PARAMS) $(INTERNAL_INCLUDES) \
	$(SVG_IMAGES) doc/internals/static $(NULL) \
	doc/version.xml.in doc/version.xml
am__append_4 =  \
	realmd-org.freedesktop.realmd.generated \
	doc/privatedir.xml $(DBUS_DOC_GENERATED) \
	$(DBUS_ESCAPED) $(man8_MANS) $(man5_MANS) \
	manual/index.html *.tmp $(NULL) \
	internals/realmd-internals.html $(NULL) \
	html/*
am__append_5 = \
	doc/website/Makefile

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/m4/gettext.m4 \
	$(top_srcdir)/build/m4/iconv.m4 \
	$(top_srcdir)/build/m4/intlmacosx.m4 \
	$(top_srcdir)/build/m4/lib-ld.m4 \
	$(top_srcdir)/build/m4/lib-link.m4 \
	$(top_srcdir)/build/m4/lib-prefix.m4 \
	$(top_srcdir)/build/m4/nls.m4 $(top_srcdir)/build/m4/po.m4 \
	$(top_srcdir)/build/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = doc/version.xml
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 =
am__EXEEXT_2 = test-dn-util$(EXEEXT) test-ini-config$(EXEEXT) \
	test-sssd-config$(EXEEXT) test-safe-format$(EXEEXT) \
	test-login-name$(EXEEXT) test-settings$(EXEEXT) \
	$(am__EXEEXT_1)
am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(privatedir)" \
	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(dbusservicedir)" \
	"$(DESTDIR)$(polkit_policydir)" "$(DESTDIR)$(privatedir)" \
	"$(DESTDIR)$(servicedir)" "$(DESTDIR)$(systemdunitdir)"
PROGRAMS = $(libexec_PROGRAMS) $(noinst_PROGRAMS) $(private_PROGRAMS) \
	$(sbin_PROGRAMS)
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
AM_V_AR = $(am__v_AR_$(V))
am__v_AR_ = $(am__v_AR_$(AM_DEFAULT_VERBOSITY))
am__v_AR_0 = @echo "  AR      " $@;
am__v_AR_1 = 
librealm_dbus_a_AR = $(AR) $(ARFLAGS)
librealm_dbus_a_LIBADD =
am__objects_1 =
am_librealm_dbus_a_OBJECTS = $(am__objects_1)
am__objects_2 = librealm_dbus_a-realm-dbus-generated.$(OBJEXT) \
	$(am__objects_1)
nodist_librealm_dbus_a_OBJECTS = $(am__objects_2) $(am__objects_1)
librealm_dbus_a_OBJECTS = $(am_librealm_dbus_a_OBJECTS) \
	$(nodist_librealm_dbus_a_OBJECTS)
am__dirstamp = $(am__leading_dot)dirstamp
am_frob_install_packages_OBJECTS =  \
	tests/frob_install_packages-frob-install-packages.$(OBJEXT) \
	service/frob_install_packages-realm-packages.$(OBJEXT) \
	service/frob_install_packages-realm-settings.$(OBJEXT) \
	service/frob_install_packages-realm-errors.$(OBJEXT) \
	$(am__objects_1)
frob_install_packages_OBJECTS = $(am_frob_install_packages_OBJECTS)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
frob_install_packages_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
frob_install_packages_LINK = $(CCLD) $(frob_install_packages_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_realm_OBJECTS = tools/realm-realm.$(OBJEXT) \
	tools/realm-realm-client.$(OBJEXT) \
	tools/realm-realm-discover.$(OBJEXT) \
	tools/realm-realm-join.$(OBJEXT) \
	tools/realm-realm-leave.$(OBJEXT) \
	tools/realm-realm-logins.$(OBJEXT) $(am__objects_1)
realm_OBJECTS = $(am_realm_OBJECTS)
realm_DEPENDENCIES = librealm-dbus.a $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
realm_LINK = $(CCLD) $(realm_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am_realmd_OBJECTS = service/realmd-realm-adcli-enroll.$(OBJEXT) \
	service/realmd-realm-all-provider.$(OBJEXT) \
	service/realmd-realm-command.$(OBJEXT) \
	service/realmd-realm-credential.$(OBJEXT) \
	service/realmd-realm-daemon.$(OBJEXT) \
	service/realmd-realm-diagnostics.$(OBJEXT) \
	service/realmd-realm-disco.$(OBJEXT) \
	service/realmd-realm-disco-dns.$(OBJEXT) \
	service/realmd-realm-disco-domain.$(OBJEXT) \
	service/realmd-realm-disco-mscldap.$(OBJEXT) \
	service/realmd-realm-disco-rootdse.$(OBJEXT) \
	service/realmd-realm-dn-util.$(OBJEXT) \
	service/realmd-realm-errors.$(OBJEXT) \
	service/realmd-realm-example.$(OBJEXT) \
	service/realmd-realm-example-provider.$(OBJEXT) \
	service/realmd-realm-ini-config.$(OBJEXT) \
	service/realmd-realm-invocation.$(OBJEXT) \
	service/realmd-realm-kerberos.$(OBJEXT) \
	service/realmd-realm-kerberos-config.$(OBJEXT) \
	service/realmd-realm-kerberos-membership.$(OBJEXT) \
	service/realmd-realm-kerberos-provider.$(OBJEXT) \
	service/realmd-realm-ldap.$(OBJEXT) \
	service/realmd-realm-login-name.$(OBJEXT) \
	service/realmd-realm-network.$(OBJEXT) \
	service/realmd-realm-options.$(OBJEXT) \
	service/realmd-realm-packages.$(OBJEXT) \
	service/realmd-realm-provider.$(OBJEXT) \
	service/realmd-realm-samba.$(OBJEXT) \
	service/realmd-realm-samba-config.$(OBJEXT) \
	service/realmd-realm-samba-enroll.$(OBJEXT) \
	service/realmd-realm-samba-provider.$(OBJEXT) \
	service/realmd-realm-samba-winbind.$(OBJEXT) \
	service/realmd-realm-service.$(OBJEXT) \
	service/realmd-realm-settings.$(OBJEXT) \
	service/realmd-realm-sssd.$(OBJEXT) \
	service/realmd-realm-sssd-ad.$(OBJEXT) \
	service/realmd-realm-sssd-provider.$(OBJEXT) \
	service/realmd-realm-sssd-config.$(OBJEXT) \
	service/realmd-realm-sssd-ipa.$(OBJEXT) \
	service/realmd-realm-usleep-async.$(OBJEXT) \
	service/realmd-safe-format-string.$(OBJEXT) $(am__objects_1)
realmd_OBJECTS = $(am_realmd_OBJECTS)
realmd_DEPENDENCIES = librealm-dbus.a $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
realmd_LINK = $(CCLD) $(realmd_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am_test_dn_util_OBJECTS = tests/test_dn_util-test-dn-util.$(OBJEXT) \
	service/test_dn_util-realm-dn-util.$(OBJEXT) $(am__objects_1)
test_dn_util_OBJECTS = $(am_test_dn_util_OBJECTS)
test_dn_util_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_dn_util_LINK = $(CCLD) $(test_dn_util_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_ini_config_OBJECTS =  \
	tests/test_ini_config-test-ini-config.$(OBJEXT) \
	service/test_ini_config-realm-ini-config.$(OBJEXT) \
	service/test_ini_config-realm-samba-config.$(OBJEXT) \
	service/test_ini_config-realm-settings.$(OBJEXT) \
	$(am__objects_1)
test_ini_config_OBJECTS = $(am_test_ini_config_OBJECTS)
test_ini_config_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_ini_config_LINK = $(CCLD) $(test_ini_config_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_login_name_OBJECTS =  \
	tests/test_login_name-test-login-name.$(OBJEXT) \
	service/test_login_name-realm-login-name.$(OBJEXT) \
	$(am__objects_1)
test_login_name_OBJECTS = $(am_test_login_name_OBJECTS)
test_login_name_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_login_name_LINK = $(CCLD) $(test_login_name_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_safe_format_OBJECTS =  \
	tests/test_safe_format-test-safe-format.$(OBJEXT) \
	service/test_safe_format-safe-format-string.$(OBJEXT) \
	$(am__objects_1)
test_safe_format_OBJECTS = $(am_test_safe_format_OBJECTS)
test_safe_format_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_safe_format_LINK = $(CCLD) $(test_safe_format_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_settings_OBJECTS =  \
	tests/test_settings-test-settings.$(OBJEXT) \
	service/test_settings-realm-settings.$(OBJEXT) \
	$(am__objects_1)
test_settings_OBJECTS = $(am_test_settings_OBJECTS)
test_settings_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_settings_LINK = $(CCLD) $(test_settings_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_sssd_config_OBJECTS =  \
	tests/test_sssd_config-test-sssd-config.$(OBJEXT) \
	service/test_sssd_config-realm-ini-config.$(OBJEXT) \
	service/test_sssd_config-realm-sssd-config.$(OBJEXT) \
	service/test_sssd_config-realm-settings.$(OBJEXT) \
	$(am__objects_1)
test_sssd_config_OBJECTS = $(am_test_sssd_config_OBJECTS)
test_sssd_config_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_sssd_config_LINK = $(CCLD) $(test_sssd_config_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade =  \
	./$(DEPDIR)/librealm_dbus_a-realm-dbus-generated.Po \
	service/$(DEPDIR)/frob_install_packages-realm-errors.Po \

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.
#
# Origin: gettext-0.19.8
GETTEXT_MACRO_VERSION = 0.19

PACKAGE = realmd
VERSION = 0.17.1
PACKAGE_BUGREPORT = https://gitlab.freedesktop.org/realmd/realmd/-/issues

SED = /usr/bin/sed
SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = ${datarootdir}/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# ${SHELL} /home/ryanZzz/SRC/realmd-0.17.1/build/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, $(MKDIR_P) is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) ${SHELL} /home/ryanZzz/SRC/realmd-0.17.1/build/install-sh -d
install_sh = $(SHELL) ${SHELL} /home/ryanZzz/SRC/realmd-0.17.1/build/install-sh
MKDIR_P = /usr/bin/mkdir -p
mkdir_p = $(MKDIR_P)

# When building gettext-tools, we prefer to use the built programs
# rather than installed programs.  However, we can't do that when we
# are cross compiling.
CROSS_COMPILING = @CROSS_COMPILING@

GMSGFMT_ = /usr/bin/msgfmt
GMSGFMT_no = /usr/bin/msgfmt
GMSGFMT_yes = /usr/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /usr/bin/msgfmt
MSGFMT_no = /usr/bin/msgfmt
MSGFMT_yes = /usr/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /usr/bin/xgettext
XGETTEXT_no = /usr/bin/xgettext
XGETTEXT_yes = /usr/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  ar.po as.po az.po bg.po bn_IN.po ca.po ca@valencia.po cs.po cy.po da.po de.po el.po en_GB.po eo.po es.po et.po eu.po fa.po fi.po fo.po fr.po ga.po gl.po gu.po he.po hi.po hr.po hu.po ia.po id.po it.po ja.po ka.po kk.po kn.po ko.po lt.po lv.po ml.po mr.po ms.po nb.po nl.po nn.po oc.po or.po pa.po pl.po pt.po pt_BR.po ro.po ru.po si.po sk.po sl.po sq.po sr@latin.po sv.po ta.po te.po th.po tr.po uk.po vi.po wa.po zh_CN.po zh_HK.po zh_TW.po
GMOFILES =  ar.gmo as.gmo az.gmo bg.gmo bn_IN.gmo ca.gmo ca@valencia.gmo cs.gmo cy.gmo da.gmo de.gmo el.gmo en_GB.gmo eo.gmo es.gmo et.gmo eu.gmo fa.gmo fi.gmo fo.gmo fr.gmo ga.gmo gl.gmo gu.gmo he.gmo hi.gmo hr.gmo hu.gmo ia.gmo id.gmo it.gmo ja.gmo ka.gmo kk.gmo kn.gmo ko.gmo lt.gmo lv.gmo ml.gmo mr.gmo ms.gmo nb.gmo nl.gmo nn.gmo oc.gmo or.gmo pa.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo si.gmo sk.gmo sl.gmo sq.gmo sr@latin.gmo sv.gmo ta.gmo te.gmo th.gmo tr.gmo uk.gmo vi.gmo wa.gmo zh_CN.gmo zh_HK.gmo zh_TW.gmo
UPDATEPOFILES =  ar.po-update as.po-update az.po-update bg.po-update bn_IN.po-update ca.po-update ca@valencia.po-update cs.po-update cy.po-update da.po-update de.po-update el.po-update en_GB.po-update eo.po-update es.po-update et.po-update eu.po-update fa.po-update fi.po-update fo.po-update fr.po-update ga.po-update gl.po-update gu.po-update he.po-update hi.po-update hr.po-update hu.po-update ia.po-update id.po-update it.po-update ja.po-update ka.po-update kk.po-update kn.po-update ko.po-update lt.po-update lv.po-update ml.po-update mr.po-update ms.po-update nb.po-update nl.po-update nn.po-update oc.po-update or.po-update pa.po-update pl.po-update pt.po-update pt_BR.po-update ro.po-update ru.po-update si.po-update sk.po-update sl.po-update sq.po-update sr@latin.po-update sv.po-update ta.po-update te.po-update th.po-update tr.po-update uk.po-update vi.po-update wa.po-update zh_CN.po-update zh_HK.po-update zh_TW.po-update
DUMMYPOFILES =  ar.nop as.nop az.nop bg.nop bn_IN.nop ca.nop ca@valencia.nop cs.nop cy.nop da.nop de.nop el.nop en_GB.nop eo.nop es.nop et.nop eu.nop fa.nop fi.nop fo.nop fr.nop ga.nop gl.nop gu.nop he.nop hi.nop hr.nop hu.nop ia.nop id.nop it.nop ja.nop ka.nop kk.nop kn.nop ko.nop lt.nop lv.nop ml.nop mr.nop ms.nop nb.nop nl.nop nn.nop oc.nop or.nop pa.nop pl.nop pt.nop pt_BR.nop ro.nop ru.nop si.nop sk.nop sl.nop sq.nop sr@latin.nop sv.nop ta.nop te.nop th.nop tr.nop uk.nop vi.nop wa.nop zh_CN.nop zh_HK.nop zh_TW.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../service/org.freedesktop.realmd.policy.in \
     ../service/realm-command.c \
     ../service/realm-disco-mscldap.c \
     ../service/realm-disco-rootdse.c \
     ../service/realm-example.c \
     ../service/realm-ini-config.c \
     ../service/realm-invocation.c \
     ../service/realm-kerberos.c \
     ../service/realm-ldap.c \
     ../service/realm-packages.c \
     ../service/realm-provider.c \
     ../service/realm-samba.c \
     ../service/realm-sssd.c \
     ../service/realm-sssd-ad.c \
     ../service/realm-sssd-config.c \
     ../service/realm-sssd-ipa.c \
     ../tools/realm.c \
     ../tools/realm-client.c \
     ../tools/realm-discover.c \
     ../tools/realm-join.c \
     ../tools/realm-leave.c \
     ../tools/realm-logins.c

CATALOGS =  ar.gmo as.gmo az.gmo bg.gmo bn_IN.gmo ca.gmo ca@valencia.gmo cs.gmo cy.gmo da.gmo de.gmo el.gmo en_GB.gmo eo.gmo es.gmo et.gmo eu.gmo fa.gmo fi.gmo fo.gmo fr.gmo ga.gmo gl.gmo gu.gmo he.gmo hi.gmo hr.gmo hu.gmo ia.gmo id.gmo it.gmo ja.gmo ka.gmo kk.gmo kn.gmo ko.gmo lt.gmo lv.gmo ml.gmo mr.gmo ms.gmo nb.gmo nl.gmo nn.gmo oc.gmo or.gmo pa.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo si.gmo sk.gmo sl.gmo sq.gmo sr@latin.gmo sv.gmo ta.gmo te.gmo th.gmo tr.gmo uk.gmo vi.gmo wa.gmo zh_CN.gmo zh_HK.gmo zh_TW.gmo

POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
POFILESDEPS_yes = $(POFILESDEPS_)
POFILESDEPS_no =
POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))

DISTFILESDEPS_ = update-po
DISTFILESDEPS_yes = $(DISTFILESDEPS_)
DISTFILESDEPS_no =
DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --from-code=UTF-8 --keyword=_ --keyword=N_ --keyword=C_:1c,2 --keyword=NC_:1c,2 --keyword=g_dngettext:2,3 --add-comments

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Collabora Ltd., Red Hat Inc.

# This tells whether or not to prepend "GNU " prefix to the package
# name that gets inserted into the header of the $(DOMAIN).pot file.
# Possible values are "yes", "no", or empty.  If it is empty, try to
# detect it automatically by scanning the files in $(top_srcdir) for
# "GNU packagename" string.
PACKAGE_GNU = no

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS =

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

# This tells whether the $(DOMAIN).pot file contains messages with an 'msgctxt'
# context.  Possible values are "yes" and "no".  Set this to yes if the
# package uses functions taking also a message context, like pgettext(), or
# if in $(XGETTEXT_OPTIONS) you define keywords with a context argument.
USE_MSGCTXT = no

# These options get passed to msgmerge.
# Useful options are in particular:
#   --previous            to keep previous msgids of translated messages,
#   --quiet               to reduce the verbosity.
MSGMERGE_OPTIONS =

# These options get passed to msginit.
# If you want to disable line wrapping when writing PO files, add
# --no-wrap to MSGMERGE_OPTIONS, XGETTEXT_OPTIONS, and
# MSGINIT_OPTIONS.
MSGINIT_OPTIONS =

# This tells whether or not to regenerate a PO file when $(DOMAIN).pot
# has changed.  Possible values are "yes" and "no".  Set this to no if
# the POT file is checked in the repository and the version control
# program ignores timestamps.
PO_DEPENDS_ON_POT = yes

# This tells whether or not to forcibly update $(DOMAIN).pot and
# regenerate PO files on "make dist".  Possible values are "yes" and
# "no".  Set this to no if the POT file and PO files are maintained
# externally.
DIST_DEPENDS_ON_UPDATE_PO = yes

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
CHECK_MACRO_VERSION = \
	test "$(GETTEXT_MACRO_VERSION)" = "0.19" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.19" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	@$(CHECK_MACRO_VERSION)

=== debian/changelog ===
realmd (0.17.1-3) unstable; urgency=medium

  * Team upload
  * Move systemd service file to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd. (Closes: #1054010)
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Nov 2023 08:33:02 +0100

realmd (0.17.1-2) unstable; urgency=medium

  * Team upload

  [ Gioele Barabucci ]
  * Install D-Bus policy in /usr instead of /etc
    realmd installs the `org.freedesktop.realmd.conf` policy
    in `/etc/dbus-1`. Since Debian 9 the standard directory for
    package-installed D-Bus policies is `/usr/share/dbus-1`.
    See: https://bugs.debian.org/1006631
    Fixes: lintian: dbus-policy-in-etc (Closes: #1040509)

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Jul 2023 20:11:00 +0200

realmd (0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.17.1
  * Rebase patches
  * Replace Build-Depends on intltool with gettext.
    Add polkitd to Build-Depends as its .loc and .its files are required
    when generating the translations of the policy files.
  * Bump Standards-Version to 4.6.1
  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025585)
  * Fix mismatched lintian override

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 18:34:32 +0100

realmd (0.17.0-2) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/p/03_ldap-discovery-socket-timeout.patch: use a shorter timeout
    for the unbind request sent when finishing up the discovery phase
  * d/p/04_add-computer-name-to-manpage.patch: document the existing
    --computer-name command line option
  * d/p/05_dont-add-services-line.patch: in Ubuntu and Debian, the sssd_*
    services are socket activated and don't need a "services" line in
    sssd.conf (LP #1880157) (Closes: #1003620)
  * d/p/06_samba_415_update.patch, d/rules: update for net ads join
    command from samba 4.15 (LP: #1961443)

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Jun 2022 13:33:21 -0400

=== debian/control ===
Source: realmd
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               gettext (>= 0.19.8),
               libglib2.0-dev (>= 2.39.1),
               libkrb5-dev,
               libldap2-dev,
               libpolkit-gobject-1-dev,
               polkitd,
               libsystemd-dev [linux-any],
               pkg-config,
               python3:any,
               xmlto,
               xsltproc
Standards-Version: 4.6.2
Homepage: https://www.freedesktop.org/software/realmd/
Vcs-Git: https://salsa.debian.org/utopia-team/realmd.git
Vcs-Browser: https://salsa.debian.org/utopia-team/realmd

Package: realmd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: polkitd
Description: DBus service for configuring kerberos and other online identities
 realmd is a D-Bus system service that manages discovery and enrollment in
 realms/domains like Active Directory or IPA.
 .
 realmd can configure either SSSD or Windbind as client software. It will also
 automatically install the required packages using PackageKit if needed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_BUILD_ARCH_OS),linux)
  SYSTEMD_PARAMS := --with-systemd-journal --with-systemd-unit-dir=/usr/lib/systemd/system
else
  SYSTEMD_PARAMS := --without-systemd-journal --without-systemd-unit-dir
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib \
                             --htmldir=/usr/share/doc/realmd/html \
                             --with-new-samba-cli-options=yes \
                             --with-distro=debian ${SYSTEMD_PARAMS}

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	# drop zero-byte file
	rm debian/realmd/usr/share/doc/realmd/html/realmd-docs.proc
